std::_Reference_wrapper_base_impl< _Unary, _Binary, _Tp >(3cxx)

NAME
std::_Reference_wrapper_base_impl< _Unary, _Binary, _Tp >

SYNOPSIS

Detailed Description

  template<bool _Unary, bool _Binary, typename _Tp>
struct std::_Reference_wrapper_base_impl< _Unary, _Binary, _Tp >" Knowing which of unary_function and binary_function _Tp derives from, derives from the same and ensures that reference_wrapper will have a weak result type. See cases below.

Definition at line 236 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.